// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fAiApplication */
export async function update14(body: API.FAiApplicationUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFAiApplication>(`/finyx/fAiApplication`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fAiApplication */
export async function save14(body: API.FAiApplicationSaveVO, options?: { [key: string]: any }) {
  return request<API.RFAiApplication>(`/finyx/fAiApplication`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fAiApplication */
export async function delete14(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fAiApplication`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fAiApplication/${param0} */
export async function get16(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get16Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFAiApplicationResultVO>(`/finyx/fAiApplication/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 检查模型 GET /fAiApplication/checkModel */
export async function checkModel(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.checkModelParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/finyx/fAiApplication/checkModel`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 检查名称 GET /fAiApplication/checkName */
export async function checkName3(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.checkName3Params,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/finyx/fAiApplication/checkName`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 复制 POST /fAiApplication/copy */
export async function copy16(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy16Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplication>(`/finyx/fAiApplication/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fAiApplication/detail */
export async function getDetail16(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail16Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplicationResultVO>(`/finyx/fAiApplication/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fAiApplication/findByIds */
export async function findByIds16(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFAiApplicationResultVO>(`/finyx/fAiApplication/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fAiApplication/page */
export async function page16(
  body: API.PageParamsFAiApplicationPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFAiApplicationResultVO>(`/finyx/fAiApplication/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 发布模型 GET /fAiApplication/publish */
export async function publish(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.publishParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/finyx/fAiApplication/publish`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fAiApplication/query */
export async function query16(body: API.FAiApplicationPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFAiApplicationResultVO>(`/finyx/fAiApplication/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
